/*
 * nScore
 *
 * robo_cricket.h
 *
 * Copyright (C) 1996-2003 by Nakashima Tomoaki. All rights reserved.
 *		http://www.nakka.com/
 *		nakka@nakka.com
 */

#ifndef _INC_ROBO_CRICKET_H
#define _INC_ROBO_CRICKET_H

/* Include Files */

/* Define */

/* Struct */

/* Function Prototypes */
int robo_get_throw(const int lv, const int number, TCHAR *ret);
int get_rank(const CRICKET_INFO *cri, const int player);
int get_rank_to_player(const CRICKET_INFO *cri, const int rank);
BOOL is_close(const CRICKET_INFO *cri, const int player, const int mark);
int get_close_count(const CRICKET_INFO *cri, const int player);
int get_only_close_number(const CRICKET_INFO *cri, const int player);
int get_only_open_number(const CRICKET_INFO *cri, const int player);
int get_no_close_number(const CRICKET_INFO *cri, const int player);
int get_open_number(const CRICKET_INFO *cri);
int get_max_number(const CRICKET_INFO *cri, const int player);
int get_mark_number(const CRICKET_INFO *cri, const int player, const int mark);

#endif
/* End of source */
